library Dll;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters.

  Important note about VCL usage: when this DLL will be implicitly
  loaded and this DLL uses TWicImage / TImageCollection created in
  any unit initialization section, then Vcl.WicImageInit must be
  included into your library's USES clause. }

uses
  Windows;

{.$R *.res}

function GetInteger1:Integer;stdcall;
var
i,j:Integer;
begin
  //MessageBox(0,'GetInteger1','Info',MB_ICONINFORMATION+MB_TOPMOST);
  i:=0;
  j:=Random(100);
  Result:=j div i;
end;

function GetInteger2:Integer;stdcall;
var
i,j:Integer;
begin
  //MessageBox(0,'GetInteger2','Info',MB_ICONINFORMATION+MB_TOPMOST);
  i:=Random(100);
  while i=0 do
  begin
   Sleep(1);
   i:=Random(100);
  end;

  j:=Random(10000);
  Result:=j div i;
end;

exports GetInteger1,GetInteger2;
begin
end.
